<dx-scroll-view height='100%'>
    <dx-form [colCount]="2" [formData]='edit.model' [showValidationSummary]="false" validationGroup="unitValidation"
        (onFieldDataChanged)='onFieldDataChanged($event)' (onInitialized)='onInitDataForm($event)' labelLocation="left">
        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [colSpan]="2" [colCount]='2' [label]="{text: 'Denumire'}" dataField="name" editorType="dxTextBox"
                [editorOptions]="{}">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'CIF'}" dataField="cif" editorType="dxTextBox" [editorOptions]="{}"></dxi-item>
            <dxi-item [label]="{text: 'Tip unitate', visible: !isInitAppVisible}" dataField="typeId" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: ds.unitType, valueExpr: 'id', displayExpr: 'value', visible: !isInitAppVisible, onValueChanged: onTypeChange }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Județ'}" dataField="countyId" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsCounty, valueExpr: 'id', displayExpr: 'name', onValueChanged: onCountyChange,
                searchEnabled: true, showClearButton: true }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Localitate'}" dataField="localityId" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsLocality, valueExpr: 'id', displayExpr: 'name', onInitialized: onLocalityInit,
                searchEnabled: true, showClearButton: true }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{ text: 'Unitate părinte', visible: !isInitAppVisible}" dataField="parentId" editorType="dxSelectBox"
                [editorOptions]="{ valueExpr: 'id', displayExpr: 'name', visible: !isInitAppVisible, onInitialized: onParentInit }">
            </dxi-item>
            <dxi-item [label]="{text: 'Activ', visible: !isInitAppVisible}" dataField="isActiv" editorType="dxCheckBox"
                [editorOptions]="{ visible: !isInitAppVisible }"></dxi-item>
            <dxi-item [colSpan]="2" [colCount]='2' [label]="{text: 'Adresă'}" dataField="address" editorType="dxTextBox"
                [editorOptions]="{}">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>

            <dxi-item [label]="{text: 'Responsabil de deșeuri'}" dataField="wasteResponsible" editorType="dxTextBox"
                [editorOptions]="{ }"></dxi-item>
            <dxi-item [label]="{text: 'Responsabil de mediu'}" dataField="environmentResponsible" editorType="dxTextBox"
                [editorOptions]="{ }"></dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>